<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\VertragMail\Akzeptiert;

class VertragAkzeptiertMailView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/vertrag_akzeptiert_mail.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->bemerkung = nl2br($this->viewModel->bemerkung);

    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse();
  }
}

class VertragAkzeptiertMailViewModel
{
  public $kurs;
  public $bemerkung;
}